summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--macros2/ChangeLog4
-rw-r--r--macros2/autogen.sh16
2 files changed, 17 insertions, 3 deletions
diff --git a/macros2/ChangeLog b/macros2/ChangeLog
index d129ebca..6dae5a81 100644
--- a/macros2/ChangeLog
+++ b/macros2/ChangeLog
@@ -1,3 +1,7 @@
+2001-10-02 Darin Adler <darin@bentspoon.com>
+
+ * autogen.sh: Add intltool support.
+
2001-09-04 Frank Belew <frb@ximian.com>
* autogen.sh: change gettext regexp to work with non-gnu grep
diff --git a/macros2/autogen.sh b/macros2/autogen.sh
index d420e03a..6a14054f 100644
--- a/macros2/autogen.sh
+++ b/macros2/autogen.sh
@@ -19,12 +19,22 @@ fi
DIE=1
}
+(grep "^AM_PROG_INTLTOOL" $srcdir/configure.in >/dev/null) && {
+ (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`intltoolize' installed to compile $PKG_NAME."
+ echo "Get ftp://ftp.gnome.org/pub/GNOME/stable/sources/intltool/intltool-0.10.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+ }
+}
+
(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
(xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
- echo
+ echo
echo "**Error**: You must have \`xml-i18n-toolize' installed to compile $PKG_NAME."
- echo "Get ftp://ftp.gnome.org/pub/GNOME/stable/sources/xml-i18n-tools/xml-i18n-tools-0.6.tar.gz"
- echo "(or a newer version if it is available)"
+ echo "Get ftp://ftp.gnome.org/pub/GNOME/stable/sources/xml-i18n-tools/xml-i18n-tools-0.9.tar.gz"
+ echo "(or a newer version of xml-i18n-tools or intltool if it is available)"
DIE=1
}
}